<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    let Arr3 = [0, 1, false, 2, undefined, '', 3, null];
    let Arrcompact = Arr3.filter((number) => number);
    console.log(Arrcompact);
</script>
</html>